Debian セキュリティ勧告

DSA-299-1 leksbot -- 不適切な setuid-root 実行

報告日時:
2003-05-06
影響を受けるパッケージ:
leksbot
危険性:
あり
参考セキュリティデータベース:
(SecurityFocus の) Bugtraq データベース: BugTraq ID 7505.
Mitre の CVE 辞書: CVE-2003-0262.
詳細:

Maurice Massar さんが、パッケージ作業の誤りにより、プログラム /usr/bin/KATAXWR が告知無く setuid root でインストールされることを発見しました。 このプログラムは setuid で実行するように設計されておらず、悪用して root 権限を獲得可能な脆弱性が複数あります。

安定版 (stable) ディストリビューション (woody) では、この問題はバージョン 1.2-3.1 で修正されています。

旧安定版 (old stable) ディストリビューション (potato) には leksbot パッケージは含まれません。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 1.2-5 で修正されています。

leksbot パッケージを更新することを勧めます。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1.dsc
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1.diff.gz
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/leksbot/leksbot_1.2-3.1woody1_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。